<?php

namespace Drupal\iconset\Asset;

/**
 * Asset file which wraps a SVG icon file.
 */
class ImageAsset implements FileAssetInterface {

  /**
   * Create a new instance of the SvgIconAsset.
   *
   * @param string $filepath
   *   The path of the icon file.
   * @param array $info
   *   Discovered information about the icon (ID, label and viewBox).
   */
  public function __construct(
    protected string $filepath,
    protected array $info,
  ) {}

  /**
   * {@inheritdoc}
   */
  public function getFilepath(): string {
    return $this->filepath;
  }

  /**
   * {@inheritdoc}
   */
  public function getIcons(): array {
    return [
      $this->info['id'] => $this->info,
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getIcon(string $iconId): array|false {
    return $iconId == $this->info['id'] ? $this->info : FALSE;
  }

}
