<?php

namespace Drupal\iconset;

use Drupal\toolshed\Strategy\StrategyManagerInterface;

/**
 * Plugin manager for finding and creating iconsets instances.
 */
interface IconsetManagerInterface extends StrategyManagerInterface {

  /**
   * Get the labels and Plugin IDs of available iconsets.
   *
   * @param mixed[] $context
   *   The context information (i.e. a theme context) to determine, which
   *   iconsets are available for.
   * @param bool $include_internal
   *   Indicates if the results should include iconsets that are marked as being
   *   for internal module or theme usage. This flag helps to limit the list
   *   of icons available on administrative forms.
   *
   * @return array<string,\Stringable|string>
   *   An array keyed by the iconset identifier, and has a value which is the
   *   plugin label.
   */
  public function getIconsets(array $context = [], bool $include_internal = FALSE);

}
